org.jboss.shrinkwrap.descriptor.api.javaee6

## Interface ResourceEnvRefType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ResourceEnvRefType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `resource-env-refType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InjectionTargetType<ResourceEnvRefType<T>>` | `createInjectionTarget()` Creates a new `injection-target` element
    `ResourceEnvRefType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<InjectionTargetType<ResourceEnvRefType<T>>>` | `getAllInjectionTarget()` Returns all `injection-target` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getLookupName()` Returns the `lookup-name` element
    `java.lang.String` | `getMappedName()` Returns the `mapped-name` element
    `InjectionTargetType<ResourceEnvRefType<T>>` | `getOrCreateInjectionTarget()` If not already created, a new `injection-target` element will be created and returned.
    `java.lang.String` | `getResourceEnvRefName()` Returns the `resource-env-ref-name` element
    `java.lang.String` | `getResourceEnvRefType()` Returns the `resource-env-ref-type` element
    `ResourceEnvRefType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `ResourceEnvRefType<T>` | `lookupName(java.lang.String lookupName)` Sets the `lookup-name` element
    `ResourceEnvRefType<T>` | `mappedName(java.lang.String mappedName)` Sets the `mapped-name` element
    `ResourceEnvRefType<T>` | `removeAllDescription()` Removes the `description` element
    `ResourceEnvRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
    `ResourceEnvRefType<T>` | `removeId()` Removes the `id` attribute
    `ResourceEnvRefType<T>` | `removeLookupName()` Removes the `lookup-name` element
    `ResourceEnvRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
    `ResourceEnvRefType<T>` | `removeResourceEnvRefName()` Removes the `resource-env-ref-name` element
    `ResourceEnvRefType<T>` | `removeResourceEnvRefType()` Removes the `resource-env-ref-type` element
    `ResourceEnvRefType<T>` | `resourceEnvRefName(java.lang.String resourceEnvRefName)` Sets the `resource-env-ref-name` element
    `ResourceEnvRefType<T>` | `resourceEnvRefType(java.lang.String resourceEnvRefType)` Sets the `resource-env-ref-type` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### lookupName

          ResourceEnvRefType<T> lookupName(java.lang.String lookupName)

      Sets the `lookup-name` element
      Parameters:
        `lookupName` - the value for the element `lookup-name`
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getLookupName

          java.lang.String getLookupName()

      Returns the `lookup-name` element
      Returns:
        the node defined for the element `lookup-name`

    - #### removeLookupName

          ResourceEnvRefType<T> removeLookupName()

      Removes the `lookup-name` element
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### mappedName

          ResourceEnvRefType<T> mappedName(java.lang.String mappedName)

      Sets the `mapped-name` element
      Parameters:
        `mappedName` - the value for the element `mapped-name`
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getMappedName

          java.lang.String getMappedName()

      Returns the `mapped-name` element
      Returns:
        the node defined for the element `mapped-name`

    - #### removeMappedName

          ResourceEnvRefType<T> removeMappedName()

      Removes the `mapped-name` element
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getOrCreateInjectionTarget

          InjectionTargetType<ResourceEnvRefType<T>> getOrCreateInjectionTarget()

      If not already created, a new `injection-target` element will be created and returned. Otherwise, the first existing `injection-target` element will be returned.
      Returns:
        the instance defined for the element `injection-target`

    - #### createInjectionTarget

          InjectionTargetType<ResourceEnvRefType<T>> createInjectionTarget()

      Creates a new `injection-target` element
      Returns:
        the new created instance of `InjectionTargetType>`

    - #### getAllInjectionTarget

          java.util.List<InjectionTargetType<ResourceEnvRefType<T>>> getAllInjectionTarget()

      Returns all `injection-target` elements
      Returns:
        list of `injection-target`

    - #### removeAllInjectionTarget

          ResourceEnvRefType<T> removeAllInjectionTarget()

      Removes all `injection-target` elements
      Returns:
        the current instance of `InjectionTargetType>`

    - #### description

          ResourceEnvRefType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          ResourceEnvRefType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### resourceEnvRefName

          ResourceEnvRefType<T> resourceEnvRefName(java.lang.String resourceEnvRefName)

      Sets the `resource-env-ref-name` element
      Parameters:
        `resourceEnvRefName` - the value for the element `resource-env-ref-name`
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getResourceEnvRefName

          java.lang.String getResourceEnvRefName()

      Returns the `resource-env-ref-name` element
      Returns:
        the node defined for the element `resource-env-ref-name`

    - #### removeResourceEnvRefName

          ResourceEnvRefType<T> removeResourceEnvRefName()

      Removes the `resource-env-ref-name` element
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### resourceEnvRefType

          ResourceEnvRefType<T> resourceEnvRefType(java.lang.String resourceEnvRefType)

      Sets the `resource-env-ref-type` element
      Parameters:
        `resourceEnvRefType` - the value for the element `resource-env-ref-type`
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getResourceEnvRefType

          java.lang.String getResourceEnvRefType()

      Returns the `resource-env-ref-type` element
      Returns:
        the node defined for the element `resource-env-ref-type`

    - #### removeResourceEnvRefType

          ResourceEnvRefType<T> removeResourceEnvRefType()

      Removes the `resource-env-ref-type` element
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### id

          ResourceEnvRefType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ResourceEnvRefType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ResourceEnvRefType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)